<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HW 3 Adv JS task 3</title>
</head>
<body>
   
    <script>
      "use strict"; 

      // Задание 3
      // У нас есть объект user
      // Напишите деструктурирующее присваивание, которое:
      // свойство name присвоит в переменную name
      // свойство years присвоит в переменную age
      // свойство isAdmin присвоит в переменную isAdmin (false, если нет такого свойства)
      // Выведите переменные на экран.
          
      const user1 = {
        name: "John",
        years: 30
      }; 
      
      let {name, years: age, isAdmin = false} = user1;
      
      alert(name); 
      alert(age); 
      alert(isAdmin); 

    </script>
  
</body>
</html>